#include <iostream>

using namespace std;

int main()
{
    char c1,c2;
    cin>>c1>>c2;
    int a1,a2;
    cin>>a1>>a2;
    string novi="";
    if(a1==a2+1 || a1==a2 || a1+1==a2)
    {
     if(a1==a2+1)
        {
            for(int i=0;i<a2;i++)
            {
                novi=novi+c1;
                novi=novi+c2;
            }
            novi=novi+c1;
        }
        else if(a2==a1+1)
        {
            for(int i=0;i<a1;i++)
            {
                novi=novi+c2;
                novi=novi+c1;
            }
            novi=novi+c2;
        }
        else if(a1==a2)
        {
            for(int i=0;i<a2;i++)
            {
                novi=novi+c1;
                novi=novi+c2;
            }

        }
    }
    else
        cout<<"nemoguce"<<endl;
    cout<<novi<<endl;
    return 0;

}